Skip to main content
POST
/
orchestration
/
tools
Create tool
curl --request POST \
  --url https://api.getcargo.io/v1/orchestration/tools \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "icon": {
    "kind": "<string>",
    "data": "<string>"
  },
  "description": "<string>",
  "folderUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "tool": {
    "uuid": "<string>",
    "icon": {
      "kind": "<string>",
      "data": "<string>"
    },
    "workspaceUuid": "<string>",
    "workflowUuid": "<string>",
    "userUuid": "<string>",
    "name": "<string>",
    "folderUuid": "<string>",
    "creditsCost": {
      "kind": "<string>"
    },
    "description": "<string>",
    "isReadOnly": true,
    "triggers": [
      {
        "name": "<string>",
        "description": "<string>",
        "type": "<string>",
        "cron": "<string>",
        "temporalScheduleWorkflowId": "<string>",
        "data": {}
      }
    ],
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "deletedAt": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body schema.

name
string
required

Tool name.

icon
Icon · object
required

Tool icon.

description
string

Tool description.

folderUuid
string<uuid>

Folder identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$

Response

Successful response

tool
Tool · object
required

Created tool details.